全ての配信登録ステータス定義を取得
curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/communication-preferences/v4/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/communication-preferences/v4/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"isActive": true,
"isDefault": true,
"isInternal": true,
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"communicationMethod": "<string>",
"purpose": "<string>",
"subscriptionTranslations": [
{
"createdAt": 123,
"description": "<string>",
"languageCode": "<string>",
"name": "<string>",
"subscriptionId": 123,
"updatedAt": 123
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}定義
Retrieve all subscription status definitions
アカウントから配信登録ステータス定義のリストを取得します。
GET
/
communication-preferences
/
v4
/
definitions
全ての配信登録ステータス定義を取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
配信登録定義を絞り込むためのビジネスユニットのIDを表す整数。
レスポンスに配信登録定義の翻訳を含めるかどうかを示すブール値。
レスポンス
successful operation
処理が完了した日時。
処理の結果が格納される配列。
Show child attributes
Show child attributes
処理が開始された日時。
処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生したエラーの配列。
Show child attributes
Show child attributes
処理に関連付けられた関連リンクのコレクション。
Show child attributes
Show child attributes
処理中に発生したエラーの数。
処理がリクエストされた日時。
最終更新日 2026年4月10日
⌘I